Package com.arms.api.jira.jiraserver_project_pure.service

## Class JiraServerProjectPureImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.jira.jiraserver_project_pure.service.JiraServerProjectPureImpl

- All Implemented Interfaces:
    `JiraServerProjectPure`, `TreeService`

      @Service("jiraServerProjectPure")
      public class JiraServerProjectPureImpl
      extends TreeServiceImpl
      implements JiraServerProjectPure

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraServerProjectPureImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ALMServerProjectPureWithDateVO>` | `getNodesWithoutRootAndSoftDeleteWithDate​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |
    `JiraServerProjectPureEntity` | `getNodeWithoutSoftDelete​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |
    `java.util.List<JiraProjectIssueTypePureEntity>` | `서버_프로젝트_가져오기​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |
    `JiraServerProjectPureEntity` | `엔티티별_소프트_딜리트_제외​(JiraServerProjectPureEntity jiraServerProjectPureEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### JiraServerProjectPureImpl

          public JiraServerProjectPureImpl()

  - ### Method Detail

    - #### getNodeWithoutSoftDelete

          public JiraServerProjectPureEntity getNodeWithoutSoftDelete​(JiraServerProjectPureEntity jiraServerProjectPureEntity)
                                                               throws java.lang.Exception

      Specified by:
        `getNodeWithoutSoftDelete` in interface `JiraServerProjectPure`
      Throws:
        `java.lang.Exception`

    - #### getNodesWithoutRootAndSoftDeleteWithDate

          public java.util.List<ALMServerProjectPureWithDateVO> getNodesWithoutRootAndSoftDeleteWithDate​(JiraServerProjectPureEntity jiraServerProjectPureEntity)
                                                                                                  throws java.lang.Exception

      Specified by:
        `getNodesWithoutRootAndSoftDeleteWithDate` in interface `JiraServerProjectPure`
      Throws:
        `java.lang.Exception`

    - #### 엔티티별_소프트_딜리트_제외

          public JiraServerProjectPureEntity 엔티티별_소프트_딜리트_제외​(JiraServerProjectPureEntity jiraServerProjectPureEntity)

    - #### 서버_프로젝트_가져오기

          public java.util.List<JiraProjectIssueTypePureEntity> 서버_프로젝트_가져오기​(JiraServerProjectPureEntity jiraServerProjectPureEntity)
                                                                      throws java.lang.Exception

      Specified by:
        `서버_프로젝트_가져오기` in interface `JiraServerProjectPure`
      Throws:
        `java.lang.Exception`